// TimeServlet.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Vrátí klientovi textovou stránku obsahující aktuální datum a čas
*/


import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.Date;
import java.text.SimpleDateFormat;


public class TimeServlet extends HttpServlet 
{
   public void doGet( HttpServletRequest request,
                      HttpServletResponse response )
      throws ServletException, IOException
   {
      // response.setContentType( "text/txt" );  // typ obsahu

      SimpleDateFormat formatter = 
			new SimpleDateFormat("d M yyyy HH:mm:ss");
      Date today = new Date();
      String todayStr = formatter.format(today);
      System.out.println("Dnes je: " + todayStr);

      PrintWriter output = response.getWriter();
      output.println( todayStr );  // pošli datum a čas
      output.close();
   }

} // konec třídy: TimeServlet

